# Return all WordPress sites' backup status

This function checks for any active WordPress® site backups on the cPanel account.

Note:

You must install the WordPress Manager cPanel plugin to access this API function.

Endpoint: GET /WordPressBackup/any_running
Version: 11.136.0.4
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "any_running"

  - `module` (string)
    The name of the module called.
    Example: "WordPressBackup"

  - `result` (object)

  - `result.data` (object)

  - `result.data.any_running` (integer)
    Whether any backups are in progess.
* 1 - Backups are in progress.
* 0 - No backups are in progress.
    Enum: 0, 1

  - `result.data.sites` (array)
    An array that contains each site with a backup in progress. The function only populates this array if it is actively processing a backup.

  - `result.data.sites.id` (string,null)
    The WordPress site's unique ID.

Note:

null is the only possible value. We have not implemented this return.
    Example: "null"

  - `result.data.sites.site` (string)
    The WordPress site's URL. The URL does not contain a protocol prefix.
    Example: "example.com"

  - `result.data.sites.type` (string)
    The type of process that is active.

Note:

backup is the only possible value.
    Example: "backup"

  - `result.data.sse_url` (string)
    The SSE service URL that the system uses to monitor the backup progress. The SSE service URL does not contain a protocol, hostname, or port.
    Example: "/sse/WordPressBackup"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


